Debian Bug report logs - #406502
Bug found in option -cr/-ah

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Michelle Konzack <linux4michelle@freenet.de>

Date: Thu, 11 Jan 2007 17:48:11 UTC

Severity: normal

Found in version 4.3.0.dfsg.1-14sarge2

Fixed in version xterm/224-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#406502; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: BTS <submit@bugs.debian.org>
Subject: Bug found in option -cr/-ah
Date: Thu, 11 Jan 2007 18:01:28 +0100
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 4.3.0.dfsg.1-14sarge2
Severity: normal

Error description:

I tried to use:

----8<------------------------------------------------------------------
xterm -geometry 9x5 -fn -misc-fixed-bold-r-normal--14-*-*-*-*-*-iso8859-15 +sb -cr black -ah -e tdxterm_mailcount
----8<------------------------------------------------------------------

but it does not work...

If I run

    xterm -cr Red

it open a XTerm wit red cursor but calling

    xterm -cr Red -ah

produce a white cursor.  This is definitivly a bug.


Thanks, Greetings and nice Day
    Michelle Konzack
    Systemadministrator
    Tamay Dogan Network
    Debian GNU/Linux Consultant


-- System Information
Debian Release: 3.1
Kernel Version: Linux michelle1.private 2.4.27-2-386 #1 Wed Aug 17 09:33:35 U
TC 2005 i686 GNU/Linux


Versions of the packages xterm depends on:
ii  libc6          2.3.2.ds1-22sa GNU C Library: Shared libraries and Timezone
ii  libexpat1      1.95.8-3       XML parsing C library - runtime library
ii  libfontconfig1 2.3.1-2        generic font configuration library (sharedl
ii  libfreetype6   2.1.7-6        FreeType 2 font engine, shared library files
ii  libice6        4.3.0.dfsg.1-1 Inter-Client Exchange library
ii  libncurses5    5.4-4          Shared libraries for terminal handling
ii  libsm6         4.3.0.dfsg.1-1 X Window System Session Management library
ii  libxaw7        4.3.0.dfsg.1-1 X Athena widget set library
ii  libxext6       4.3.0.dfsg.1-1 X Window System miscellaneous extension libr
ii  libxft2        2.1.7-1        FreeType-based font drawing library for X
ii  libxmu6        4.3.0.dfsg.1-1 X Window System miscellaneous utility librar
ii  libxpm4        4.3.0.dfsg.1-1 X pixmap library
ii  libxrender1    0.8.3-7        X Rendering Extension client library
ii  libxt6         4.3.0.dfsg.1-1 X Toolkit Intrinsics
ii  xfree86-common 4.3.0.dfsg.1-1 X Window System (XFree86) infrastructure
ii  xlibs          4.3.0.dfsg.1-1 X Keyboard Extension (XKB) configuration dat
ii  xlibs-data     4.3.0.dfsg.1-1 X Window System client data


-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/6/61925193    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michelle Konzack <linux4michelle@freenet.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 406502-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 406502-close@bugs.debian.org
Subject: Bug#406502: fixed in xterm 224-1
Date: Sun, 11 Feb 2007 23:32:04 +0000
Source: xterm
Source-Version: 224-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_224-1.diff.gz
  to pool/main/x/xterm/xterm_224-1.diff.gz
xterm_224-1.dsc
  to pool/main/x/xterm/xterm_224-1.dsc
xterm_224-1_i386.deb
  to pool/main/x/xterm/xterm_224-1_i386.deb
xterm_224.orig.tar.gz
  to pool/main/x/xterm/xterm_224.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 406502@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Feb 2007 00:14:06 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 224-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 401726 404111 405043 406502
Changes: 
 xterm (224-1) unstable; urgency=low
 .
   * New upstream release.
     + fix build for GNU/KFreeBSD (closes: #404111).
     + undo a comparison in handle_translated_exposure which did not work
       due  to  X server optimization. That caused the inner border to be
       repainted  with  unexpected  colors when handling a repaint, e.g.,
       after  switching to/from another workspace (closes: #401726).
     + allow  -cr option to override cursor color when -ah option is used
       (closes: #406502).
     + add  a  note  in  xterm's  manpage explaining that the -bw (or -w)
       option  is  only  used  by  the  window manager, if at all
       (closes: #405043).
   * Refresh patch 901_xterm_manpage.diff.
   * Change my email address in debian/control.
Files: 
 0b1fec8d9583f4c170d4a4ba69a5ee3c 805 x11 optional xterm_224-1.dsc
 7e9f042873eb1927934d21733f9a2e1a 811925 x11 optional xterm_224.orig.tar.gz
 57d89a5915e7d94793c4dab6453dfb2b 60747 x11 optional xterm_224-1.diff.gz
 6815949d5c4c876bb73280d38aedfcf4 442780 x11 optional xterm_224-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFz6UwmEvTgKxfcAwRAm/uAKCWhkcHEYu3NEgfUhVvQaU5D8LP2ACfSswT
M0qNiGTRIqyKhd1PeVjUM+o=
=HR7M
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 09:14:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:16:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.